Create a new training job.
Requirements:
cURL
curl --request POST \ --url https://api.example.com/api/v1/training-jobs \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "annotation_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "config": { "artifact_types": [ "<string>" ], "epochs": 20, "validation_split": 0.2, "learning_rate": 0.001, "batch_size": 32, "chunk_size_ms": 500, "stride_ms": 250 } } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "annotation_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "config": {}, "status": "<string>", "status_message": "<string>", "progress_percent": 123, "metrics": {}, "error_message": "<string>", "sagemaker_job_name": "<string>", "created_at": "2023-11-07T05:31:56Z", "queued_at": "2023-11-07T05:31:56Z", "started_at": "2023-11-07T05:31:56Z", "completed_at": "2023-11-07T05:31:56Z" }
Request to create a training job.
Configuration for a training job.
Show child attributes
Successful Response
Training job response.